# SPDX-License-Identifier: MIT
%global source_name        ibm-plex-fonts
%global source_summary     IBM Plex, the new IBM set of coordinated grotesque corporate fonts_fonts
%global source_version     4.0.2
%global source_release     8
%global source_license     OFL
%global source_url         https://www.ibm.com/plex/
%global source_tags        %{expand:
BuildArch: noarch
}
%global source_description %{expand:
IBM wanted Plex to be a distinctive, yet timeless workhorse — an alternative to
its previous corporate font family, “Helvetica Neue”, for this new era. The
Grotesque style was the perfect fit. Not only do Grotesque font families
balance human and rational elements, the Grotesque style also came about during
the Industrial Age, when IBM was born.
}

%global forge_url https://github.com/IBM/plex/
%global forge_tag v%{version}

%global default_fonts_foundry  IBM
%global default_fonts_licenses LICENSE.txt
%global default_fonts_docs     *.md

%global fonts_family0             Plex Sans
%global fonts_summary0            IBM Plex Sans, the new grotesque IBM corporate font family
%global fonts_tags0               %{expand:
Suggests:  font(ibmplexsansmono)
Obsoletes: ibm-plex-fonts-common          < %{version}-%{release}
Obsoletes: ibm-plex-sans-arabic-fonts     < %{version}-%{release}
Obsoletes: ibm-plex-sans-condensed-fonts  < %{version}-%{release}
Obsoletes: ibm-plex-sans-devanagari-fonts < %{version}-%{release}
Obsoletes: ibm-plex-sans-hebrew-fonts     < %{version}-%{release}
Obsoletes: ibm-plex-sans-thai-fonts       < %{version}-%{release}
}
%global fonts_fonts0              IBM-Plex-{Sans,Sans-*}/fonts/complete/otf/*otf IBM-Plex-Sans-Variable/fonts/complete/ttf/*ttf
%global fonts_fonts_exclude0      IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/*otf
%global fonts_experimental_confs0 58-%{fonts_name0}.xml
%global fonts_description0        %{expand:
%{source_description}

This package provides the grotesque sans-serif variable-width IBM Plex Sans,
the main font family of the Plex set.}

%global fonts_family1             Plex Mono
%global fonts_summary1            IBM Plex Mono, the monospace grotesque coding font family of the Plex set
%global fonts_fonts1              IBM-Plex-Mono/fonts/complete/otf/*otf
%global fonts_experimental_confs1 58-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{source_description}

This package provides the grotesque sans-serif fixed-width IBM Plex Mono, a
little something for developers, because monospace does not need to be monotone.}

%global fonts_family2             Plex Serif
%global fonts_summary2            IBM Plex Serif, the hybrid grotesque serif font family of the Plex set
%global fonts_fonts2              IBM-Plex-Serif/fonts/complete/otf/*otf
%global fonts_experimental_confs2 58-%{fonts_name2}.xml
%global fonts_description2        %{expand:
%{source_description}

This package provides the hybrid grotesque serif variable-width IBM Plex Serif,
combining the best of Plex, Bodoni, and Janson into a contemporary serif.}

%global fonts_family3             Plex Sans Thai Looped
%global fonts_summary3            IBM Plex Sans Thai Looped, a formal variant of IBM Plex Sans for Thai
%global fonts_tags                %{expand:
Requires: ibm-plex-sans-fonts
Enhances: ibm-plex-sans-fonts
}
%global fonts_fonts3              IBM-Plex-Sans-Thai-Looped/fonts/complete/otf/*otf
%global fonts_experimental_confs3 59-%{fonts_name3}.xml
%global fonts_description3        %{expand:
%{source_description}

This package provides a more formal and traditional form of Thai for the
grotesque sans-serif variable-width IBM Plex Sans, that includes loops.}

%global fonts_meta_all0           true

%auto_init
%auto_pkg

%sourcelist
%auto_sources
58-%{fonts_name0}.xml
58-%{fonts_name1}.xml
58-%{fonts_name2}.xml
59-%{fonts_name3}.xml

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
